using System;
using System.Collections.Generic;
using System.Text;
using System.Drawing;

namespace SmartLauncher
{
	/// <summary>
	/// The MRU item is one item represented a most recent file used. It is managed
	/// by the object MRUList
	/// </summary>
	class MruItem
	{
		private string filename;
		private string filepath;
		private Icon smallIcon;
		private Icon largeIcon;

		public MruItem(string name, string path)
		{
			filename = name;
			filepath = path;
			smallIcon = IconReader.GetFileIcon(path, IconReader.IconSize.Small, false);
			largeIcon = IconReader.GetFileIcon(path, IconReader.IconSize.Large, false);
		}

		public string Filename
		{
			get { return filename; }
			set { filename = value; }
		}

		public string Filepath
		{
			get { return filepath; }
		}

		public Icon SmallIcon
		{
			get { return smallIcon; }
		}

		public Icon LargeIcon
		{
			get { return largeIcon; }
		}

	}
}
